Bug 21455 - Authority search options get shuffled around when you click on 'Search'
Summary: Authority search options get shuffled around when you click on 'Search'
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P3 normal (vote)
Target Milestone: ---
Assignee: Andreas Roussos
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-30 09:37 UTC by Andreas Roussos
Modified: 2018-11-08 15:27 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Authority search window before clicking on 'Search' (42.97 KB, image/png)
2018-09-30 09:37 UTC, Andreas Roussos
Details
Authority search window after clicking on 'Search' (42.96 KB, image/png)
2018-09-30 09:38 UTC, Andreas Roussos
Details
Bug 21455: Authority search options get shuffled around when you click on 'Search' (2.49 KB, patch)
2018-09-30 09:44 UTC, Andreas Roussos
Details | Diff | Splinter Review
Bug 21455: Authority search options get shuffled around when you click on 'Search' (2.55 KB, patch)
2018-10-05 19:54 UTC, Pierre-Marc Thibault
Details | Diff | Splinter Review
Bug 21455: Authority search options get shuffled around when you click on 'Search' (2.61 KB, patch)
2018-10-06 19:41 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Roussos 2018-09-30 09:37:03 UTC
As per the attached screenshots, when you perform an authority search in
the staff client and click on the 'Search' button, the selected values
for the 'Search all headings:' and 'Search entire record:' options get
flipped around.
Comment 1 Andreas Roussos 2018-09-30 09:37:56 UTC
Created attachment 79650 [details]
Authority search window before clicking on 'Search'
Comment 2 Andreas Roussos 2018-09-30 09:38:31 UTC
Created attachment 79651 [details]
Authority search window after clicking on 'Search'
Comment 3 Andreas Roussos 2018-09-30 09:44:44 UTC
Created attachment 79652 [details] [review]
Bug 21455: Authority search options get shuffled around when you click on 'Search'

In the staff client, when you perform an authority search the
selected values for the 'Search all headings:' and 'Search
entire record:' options get shuffled around when you click on
the 'Search' button.

This patch fixes that.

Test plan:
1) Perform an authority search and set the 'Search all headings:'
   option to 'starts with'.
2) Click on the 'Search' button.
3) Notice how the 'Search all headings:' option is now 'contains',
   and 'starts with' has moved down to the 'Search entire record:'
   option.
4) Apply the patch.
5) Hit 'Search' again. This time the selected search options do
   not move around.
Comment 4 Pierre-Marc Thibault 2018-10-05 19:54:43 UTC
Created attachment 80149 [details] [review]
Bug 21455: Authority search options get shuffled around when you click on 'Search'

In the staff client, when you perform an authority search the
selected values for the 'Search all headings:' and 'Search
entire record:' options get shuffled around when you click on
the 'Search' button.

This patch fixes that.

Test plan:
1) Perform an authority search and set the 'Search all headings:'
   option to 'starts with'.
2) Click on the 'Search' button.
3) Notice how the 'Search all headings:' option is now 'contains',
   and 'starts with' has moved down to the 'Search entire record:'
   option.
4) Apply the patch.
5) Hit 'Search' again. This time the selected search options do
   not move around.

Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>
Comment 5 Katrin Fischer 2018-10-06 19:37:00 UTC
This doesn't work for me yet, when I search, the tab still jumps back to the first. (applied patch, restart all, reloaded the page mulitple times)
Comment 6 Katrin Fischer 2018-10-06 19:40:05 UTC
Looking at the screenshots... I am in the wrong spot. I had checked the normal authority search. Filed a bug:
Bug 21510 - Authority search always jumps back to the first search tab no matter what was searched for
Comment 7 Katrin Fischer 2018-10-06 19:41:53 UTC
Created attachment 80167 [details] [review]
Bug 21455: Authority search options get shuffled around when you click on 'Search'

In the staff client, when you perform an authority search the
selected values for the 'Search all headings:' and 'Search
entire record:' options get shuffled around when you click on
the 'Search' button.

This patch fixes that.

Test plan:
1) Perform an authority search and set the 'Search all headings:'
   option to 'starts with'.
2) Click on the 'Search' button.
3) Notice how the 'Search all headings:' option is now 'contains',
   and 'starts with' has moved down to the 'Search entire record:'
   option.
4) Apply the patch.
5) Hit 'Search' again. This time the selected search options do
   not move around.

Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Andreas Roussos 2018-10-07 08:41:31 UTC
(In reply to Katrin Fischer from comment #5)
> This doesn't work for me yet, when I search, the tab still jumps back to the
> first. (applied patch, restart all, reloaded the page mulitple times)
My bad really, now that I re-read the bug description and test plan for
the patch I realise I should have been more explicit. Nevertheless it's
interesting to see how your testing led to the discovery of yet another
authorities-related bug! ;-)
Comment 9 Nick Clemens 2018-10-09 16:22:51 UTC
Awesome work all!

Pushed to master for 18.11
Comment 10 Martin Renvoize 2018-10-15 11:44:53 UTC
Pushed to 18.05.x for 18.05.05
Comment 11 Fridolin SOMERS 2018-11-08 15:27:17 UTC
Pushed to 17.11.x for 17.11.12